Package org.apache.synapse.transport.netty.sender

## Class Axis2ServerPushListener

- java.lang.Object
- - org.apache.synapse.transport.netty.sender.Axis2ServerPushListener

- All Implemented Interfaces:
    `org.wso2.transport.http.netty.contract.HttpClientConnectorListener`, `org.wso2.transport.http.netty.contract.HttpConnectorListener`

      public class Axis2ServerPushListener
      extends Object
      implements org.wso2.transport.http.netty.contract.HttpClientConnectorListener

  `Axis2ServerPushListener` is the class which listens for HTTP/2 server pushes from the backend.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Axis2ServerPushListener​(org.wso2.transport.http.netty.contract.HttpResponseFuture future, org.apache.axis2.context.MessageContext requestMsgCtx, org.apache.axis2.transport.base.threads.WorkerPool workerPool)` |
    `Axis2ServerPushListener​(org.wso2.transport.http.netty.message.Http2PushPromise pushPromise, org.wso2.transport.http.netty.contract.HttpResponseFuture future, org.apache.axis2.context.MessageContext requestMsgCtx, org.apache.axis2.transport.base.threads.WorkerPool workerPool)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPushPromise​(org.wso2.transport.http.netty.message.Http2PushPromise pushPromise)` |
    `void` | `onPushPromiseAvailability​(boolean isPromiseAvailable)` |
    `void` | `onPushResponse​(int promiseId, org.wso2.transport.http.netty.message.HttpCarbonMessage httpMessage)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wso2.transport.http.netty.contract.HttpClientConnectorListener

      `onError, onMessage, onResponseHandle`

- - ### Constructor Detail

    - #### Axis2ServerPushListener

          public Axis2ServerPushListener​(org.wso2.transport.http.netty.contract.HttpResponseFuture future,
                                         org.apache.axis2.context.MessageContext requestMsgCtx,
                                         org.apache.axis2.transport.base.threads.WorkerPool workerPool)

    - #### Axis2ServerPushListener

          public Axis2ServerPushListener​(org.wso2.transport.http.netty.message.Http2PushPromise pushPromise,
                                         org.wso2.transport.http.netty.contract.HttpResponseFuture future,
                                         org.apache.axis2.context.MessageContext requestMsgCtx,
                                         org.apache.axis2.transport.base.threads.WorkerPool workerPool)

  - ### Method Detail

    - #### onPushPromiseAvailability

          public void onPushPromiseAvailability​(boolean isPromiseAvailable)

      Specified by:
        `onPushPromiseAvailability` in interface `org.wso2.transport.http.netty.contract.HttpClientConnectorListener`

    - #### onPushPromise

          public void onPushPromise​(org.wso2.transport.http.netty.message.Http2PushPromise pushPromise)

      Specified by:
        `onPushPromise` in interface `org.wso2.transport.http.netty.contract.HttpConnectorListener`

    - #### onPushResponse

          public void onPushResponse​(int promiseId,
                                     org.wso2.transport.http.netty.message.HttpCarbonMessage httpMessage)

      Specified by:
        `onPushResponse` in interface `org.wso2.transport.http.netty.contract.HttpConnectorListener`